function transImage = transformImageSimple(I,M)
% function transImage = transformImage(I,M)
% transforms the image I by the homogeneous matrix M. It returns the
% transformed image

[sy,sx] = size(I)
p1 = [1,1,1]';
p2 = [sx,1,1]';
p3 = [1,sy,1]';
p4 = [sx,sy,1]';

pH = M*[p1,p2,p3,p4];

p = homo2euclidVectors(pH);
dim = int32(max(p'))

transImage = zeros( dim([2 1]) );

for n = 1:sx
    for m = 1:sy
        % transform the point (m,n)
        transP = M* [n,m ,1]';
        eTransP  =  int32 (homo2euclidVectors(transP) );
        x = eTransP(1);
        y = eTransP(2);
        if (x>0 && y>0) transImage(y,x) = I(m,n);
        end % if
    end; % for n
end; % for m
